/*
 *  Copyright (C) 2015  Thadeu Lima de Souza Cascardo <cascardo@cascardo.eti.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _CONTRIBUINTE_H
#define _CONTRIBUINTE_H

#include <stdio.h>

struct declaracao;

struct contribuinte {
	char *uf;
	int cd_municipio;
	char *municipio;
	char *cep;
	char *bairro;
	char *tipo_logradouro;
	char *logradouro;
	char *numero;
	char *complemento;
	char *titulo_eleitor;
	char *dn;
	char *ddd;
	char *telefone;
	int natureza_ocupacao;
	int ocupacao_principal;
};

void contribuinte_salva(struct declaracao *dec, FILE *f);

int contribuinte_cmd_init(void);

#endif
